Ubuntu

lts-saucy enablement in precise

Reported by Maarten Lankhorst on 2013-11-20
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
High
Maarten Lankhorst
Precise
High
Maarten Lankhorst
Quantal
Undecided
Maarten Lankhorst
Raring
Undecided
Maarten Lankhorst
mesa (Ubuntu)
Undecided
Maarten Lankhorst
Precise
Undecided
Maarten Lankhorst
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
pixman (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Maarten Lankhorst
Quantal
Undecided
Maarten Lankhorst
Raring
Undecided
Maarten Lankhorst

Bug Description

Bug #1242633 only deals with the packages related to pointer barriers. More packages need to be backported to enable building saucy xserver on precise:
- Pixman, should be copied to precise, quantal and raring, to not deliberately break dist-upgrading too hard.
- libdrm, to precise, quantal and raring too, for same reason. Bug #1171340 shows why renaming is unfeasible.

Mesa in precise needs a small update to recognise -lts-saucy and lts-trusty renamed packages.

Related branches

Maarten Lankhorst (mlankhorst) wrote :
affects: x11proto-input (Ubuntu) → libdrm (Ubuntu)
Changed in pixman (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Maarten Lankhorst (mlankhorst)
milestone: none → ubuntu-12.04.4
Changed in mesa (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
milestone: none → ubuntu-12.04.4
description: updated
Changed in mesa (Ubuntu Quantal):
status: New → Invalid
Changed in mesa (Ubuntu Raring):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu):
status: In Progress → Invalid
Changed in pixman (Ubuntu):
status: In Progress → Invalid
Changed in libdrm (Ubuntu Precise):
assignee: nobody → Maarten Lankhorst (mlankhorst)
importance: Undecided → High
milestone: none → ubuntu-12.04.4
status: New → In Progress
Steve Langasek (vorlon) wrote :

I don't understand the SRU justification here for pixman and libdrm. What does "breaking dist-upgrade" mean in this context? Why should *not* SRUing these libraries result in any dist-upgrade breakage at all?

If these libraries are not needed to be SRUed again for enablement purposes (as dependencies), then I don't believe we should be updating them.

Changed in libdrm (Ubuntu Precise):
status: In Progress → Incomplete
Maarten Lankhorst (mlankhorst) wrote :

The newer mesa for lts-saucy in precise requires a newer libdrm. The newer xorg-server requires a new pixman.

The upgrade of pixman and mesa in quantal and raring are needed to properly dist-upgrade between the releases.

Changed in libdrm (Ubuntu Precise):
status: Incomplete → New
Maarten Lankhorst (mlankhorst) wrote :

pixman and libdrm, not pixman and mesa.

Hello Maarten, or anyone else affected,

Accepted libdrm into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.46-1ubuntu0.0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted pixman into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pixman/0.30.2-1ubuntu0.0.0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pixman (Ubuntu Precise):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted pixman into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pixman/0.30.2-1ubuntu0.0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pixman (Ubuntu Quantal):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted libdrm into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.46-1ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Quantal):
status: New → Fix Committed
Changed in mesa (Ubuntu Precise):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in libdrm (Ubuntu Raring):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in libdrm (Ubuntu Quantal):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in pixman (Ubuntu Precise):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in pixman (Ubuntu Quantal):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in pixman (Ubuntu Raring):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted libdrm into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.46-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Raring):
status: New → Fix Committed
Changed in pixman (Ubuntu Raring):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted pixman into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pixman/0.30.2-1ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted mesa into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/8.0.4-0ubuntu0.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Precise):
status: New → Fix Committed
Alberto Milone (albertomilone) wrote :

I tested the packages using the lts-raring stack and I haven't seen any regressions yet.

Harm van Bakel (hvbakel) wrote :

I can confirm that there are no regressions on the raring stack after running with the new packages for about a week.

Maarten Lankhorst (mlankhorst) wrote :

Quantal and raring still boot correctly. :)

tags: added: verification-done-precise verification-done-quantal verification-done-raring
removed: verification-needed

The verification of the Stable Release Update for pixman has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 8.0.4-0ubuntu0.7

---------------
mesa (8.0.4-0ubuntu0.7) precise-proposed; urgency=low

  * Allow lts-saucy and lts-trusty to satisfy some depends too. (LP: #1253041)
 -- Maarten Lankhorst <email address hidden> Tue, 17 Dec 2013 10:36:12 +0100

Changed in mesa (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pixman - 0.30.2-1ubuntu0.0.0.1

---------------
pixman (0.30.2-1ubuntu0.0.0.1) quantal-proposed; urgency=low

  * Copy saucy package back to quantal. (LP: #1253041)
 -- Maarten Lankhorst <email address hidden> Tue, 10 Dec 2013 13:26:08 +0100

Changed in pixman (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pixman - 0.30.2-1ubuntu0.0.1

---------------
pixman (0.30.2-1ubuntu0.0.1) raring-proposed; urgency=low

  * Copy saucy package back to raring. (LP: #1253041)
 -- Maarten Lankhorst <email address hidden> Tue, 10 Dec 2013 13:26:08 +0100

Changed in pixman (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pixman - 0.30.2-1ubuntu0.0.0.0.1

---------------
pixman (0.30.2-1ubuntu0.0.0.0.1) precise-proposed; urgency=low

  * Copy saucy package back to precise. (LP: #1253041)
 -- Maarten Lankhorst <email address hidden> Tue, 10 Dec 2013 13:26:08 +0100

Changed in pixman (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.46-1ubuntu0.0.0.1

---------------
libdrm (2.4.46-1ubuntu0.0.0.1) precise-proposed; urgency=low

  * Copy package from saucy, but keep libdrm-nouveau1a. (LP: #1253041)
  * Drop pci-id patches, upstream.

libdrm (2.4.46-1ubuntu1) saucy-proposed; urgency=low

  [ Colin Watson ]
  * Declare libdrm-dev Multi-Arch: same.

  [ Maarten Lankhorst ]
  * Cherry-pick upstream patch to fix relocations for all cards <nv50.
    (LP: #1247607)

libdrm (2.4.46-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Bump libdrm2's and libdrm-intel1's symbols and shlibs.
  * Build libdrm-intel1 on x32 (Closes: #712515).
  * Disable silent rules.

libdrm (2.4.45-3) unstable; urgency=low

  * Team upload.

  * debian/patches/03_build_against_librt.diff:
    + Removed, no longer needed with our current glibc version.
      Thanks to Julien Cristau for pointing it out.
  * Upload to unstable.

libdrm (2.4.45-2) experimental; urgency=low

  [ Sven Joachim ]
  * Only build-depend on valgrind on architectures where
    valgrind is actually available.

libdrm (2.4.45-1) experimental; urgency=low

  * Team upload.

  [ Julien Cristau ]
  * Bump libdrm2 shlibs to 2.4.38.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Build-depend on xsltproc and docbook-xsl.
  * Add valgrind to build-depends.

  [ Timo Aaltonen ]
  * control: Bump policy to 3.9.4, no changes.

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.
 -- Maarten Lankhorst <email address hidden> Wed, 27 Nov 2013 14:02:28 +0100

Changed in libdrm (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.46-1ubuntu0.0.1

---------------
libdrm (2.4.46-1ubuntu0.0.1) quantal-proposed; urgency=low

  * Copy package from saucy, but keep libdrm-nouveau1a. (LP: #1253041)
  * Drop pci-id patches, upstream.

libdrm (2.4.46-1ubuntu1) saucy-proposed; urgency=low

  [ Colin Watson ]
  * Declare libdrm-dev Multi-Arch: same.

  [ Maarten Lankhorst ]
  * Cherry-pick upstream patch to fix relocations for all cards <nv50.
    (LP: #1247607)

libdrm (2.4.46-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Bump libdrm2's and libdrm-intel1's symbols and shlibs.
  * Build libdrm-intel1 on x32 (Closes: #712515).
  * Disable silent rules.

libdrm (2.4.45-3) unstable; urgency=low

  * Team upload.

  * debian/patches/03_build_against_librt.diff:
    + Removed, no longer needed with our current glibc version.
      Thanks to Julien Cristau for pointing it out.
  * Upload to unstable.

libdrm (2.4.45-2) experimental; urgency=low

  [ Sven Joachim ]
  * Only build-depend on valgrind on architectures where
    valgrind is actually available.

libdrm (2.4.45-1) experimental; urgency=low

  * Team upload.

  [ Julien Cristau ]
  * Bump libdrm2 shlibs to 2.4.38.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Build-depend on xsltproc and docbook-xsl.
  * Add valgrind to build-depends.

  [ Timo Aaltonen ]
  * control: Bump policy to 3.9.4, no changes.

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.
 -- Maarten Lankhorst <email address hidden> Wed, 27 Nov 2013 14:02:28 +0100

Changed in libdrm (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.46-1ubuntu0.1

---------------
libdrm (2.4.46-1ubuntu0.1) raring-proposed; urgency=low

  * Copy package from saucy. (LP: #1253041)
  * Drop pci-id patches, upstream.

libdrm (2.4.46-1ubuntu1) saucy-proposed; urgency=low

  [ Colin Watson ]
  * Declare libdrm-dev Multi-Arch: same.

  [ Maarten Lankhorst ]
  * Cherry-pick upstream patch to fix relocations for all cards <nv50.
    (LP: #1247607)

libdrm (2.4.46-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Bump libdrm2's and libdrm-intel1's symbols and shlibs.
  * Build libdrm-intel1 on x32 (Closes: #712515).
  * Disable silent rules.

libdrm (2.4.45-3) unstable; urgency=low

  * Team upload.

  * debian/patches/03_build_against_librt.diff:
    + Removed, no longer needed with our current glibc version.
      Thanks to Julien Cristau for pointing it out.
  * Upload to unstable.

libdrm (2.4.45-2) experimental; urgency=low

  [ Sven Joachim ]
  * Only build-depend on valgrind on architectures where
    valgrind is actually available.

libdrm (2.4.45-1) experimental; urgency=low

  * Team upload.

  [ Julien Cristau ]
  * Bump libdrm2 shlibs to 2.4.38.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Build-depend on xsltproc and docbook-xsl.
  * Add valgrind to build-depends.

  [ Timo Aaltonen ]
  * control: Bump policy to 3.9.4, no changes.

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.
 -- Maarten Lankhorst <email address hidden> Wed, 27 Nov 2013 14:02:28 +0100

Changed in libdrm (Ubuntu Raring):
status: Fix Committed → Fix Released
Kerry Woodson (kwdsn24) on 2014-01-12
Changed in libdrm (Ubuntu):
assignee: Maarten Lankhorst (mlankhorst) → Kerry Woodson (kwdsn24)
Changed in libdrm (Ubuntu):
assignee: Kerry Woodson (kwdsn24) → Maarten Lankhorst (mlankhorst)
Harm van Bakel (hvbakel) wrote :

I've tested the complete saucy-lts stack for a couple of days now, and though everything runs quite well in general, I noticed one regression compared to the raring-lts stack. The unity window-spread tends to become very choppy when many windows are open, or when unity has been running for a while. This is the case when triggering for all windows with Super+s, or for application windows when clicking on a taskbar icon. Interestingly, the spread animations become smooth again after opening the dash, but this effect lasts only a few mins, which makes me wonder whether the problem might be due to more aggressive powersaving in the saucy stack.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers